Autor Thema: qnap + perl 5.10 :> reload: Error:Modul 98_telnet deactivated  (Gelesen 1095 mal)

Offline P.A.Trick

  • Hero Member
  • *****
  • Beiträge: 1940
  • Love it, change it or leave it
Ich kann leider mein fhem nicht mehr auf meinem qnap starten. Scheinbar mag das Telnet Modul nicht mehr:

2022.06.19 20:06:11.615 1: Including fhem.cfg.demo
2022.06.19 20:06:11.692 1: reload: Error:Modul 98_telnet deactivated:
 Bareword "Socket::IP_MULTICAST_LOOP" not allowed while "strict subs" in use at FHEM/TcpServerUtils.pm line 74, <$fh> line 16.
Bareword "Socket::IP_MULTICAST_LOOP" not allowed while "strict subs" in use at FHEM/TcpServerUtils.pm line 82, <$fh> line 16.
Bareword "Socket::IPV6_MULTICAST_LOOP" not allowed while "strict subs" in use at FHEM/TcpServerUtils.pm line 89, <$fh> line 16.
Bareword "Socket::IPV6_MULTICAST_LOOP" not allowed while "strict subs" in use at FHEM/TcpServerUtils.pm line 97, <$fh> line 16.
BEGIN not safe after errors--compilation aborted at FHEM/TcpServerUtils.pm line 535, <$fh> line 16.
Compilation failed in require at ./FHEM/98_telnet.pm line 10, <$fh> line 16.
BEGIN failed--compilation aborted at ./FHEM/98_telnet.pm line 10, <$fh> line 16.


/opt/bin/perl -v

This is perl, v5.10.0 built for arm-none-linux-gnueabi

any idea?
Cubietruck,RPI,QNAP Ts-419p+, FS20, FRITZ!DECT200, 7 MAX! Thermostate, 3 MAX! Fensterkontakte, Kodi, CUL V3.3, EM1000S, LW12, LD382, HUE, HM-CFG-USB-2, 1x HM-LC-SW1-FM, 2x HM-LC-SW2-FM, 2x HM-LC-Sw1PBU-FM, 3xHM-LC-Bl1PBU-FM,HM-SEC-RHS, 2xHM-SEC-SD,HM-WDS30-T-O, 3x HM-LC-Dim1TPBU-FM, RPI+AddOn

Offline rudolfkoenig

  • Administrator
  • Hero Member
  • *****
  • Beiträge: 25849
Antw:qnap + perl 5.10 :> reload: Error:Modul 98_telnet deactivated
« Antwort #1 am: 20 Juni 2022, 08:37:53 »
Die Zeilennummer in der Fehlermeldung weisen darauf hin, dass TcpServerUtils.pm nicht aktuell ist. Die aktuelle Version hat genau fuer dieses Problem Vorkehrungen getroffen.  Diese fuer ueber 10 Jahre alte perls problematische TcpServerUtils.pm war genau eine Woche lang (2022-03-14 bis 2022-03-21) aktuell.

perl v5.10 ist knapp 15 Jahre alt.

Offline P.A.Trick

  • Hero Member
  • *****
  • Beiträge: 1940
  • Love it, change it or leave it
Antw:qnap + perl 5.10 :> reload: Error:Modul 98_telnet deactivated
« Antwort #2 am: 25 Juni 2022, 17:10:45 »
Ja ich weiß, allerdings werden die ipkg Pakete nicht mehr aktualisiert :-/ Ich habe eine aktuelle fhem Version hinkopiert, allerdings klappt es weiterhin nicht.
Dann werde ich wohl fhem auf meinem qnap einmotten müssen.
Cubietruck,RPI,QNAP Ts-419p+, FS20, FRITZ!DECT200, 7 MAX! Thermostate, 3 MAX! Fensterkontakte, Kodi, CUL V3.3, EM1000S, LW12, LD382, HUE, HM-CFG-USB-2, 1x HM-LC-SW1-FM, 2x HM-LC-SW2-FM, 2x HM-LC-Sw1PBU-FM, 3xHM-LC-Bl1PBU-FM,HM-SEC-RHS, 2xHM-SEC-SD,HM-WDS30-T-O, 3x HM-LC-Dim1TPBU-FM, RPI+AddOn

 

decade-submarginal